Page MenuHomePhabricator

Style for unpatrolled symbol ! is missing on watchlist in 1.28.0-wmf.14
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/303353 moved the style from shared.css to a separate style module. This module is not loaded on watchlist: the style for unpatrolled symbol ! is missing.

Event Timeline

Fomafix created this task.Aug 11 2016, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2016, 9:11 PM
Fomafix claimed this task.Aug 11 2016, 9:46 PM

Change 304335 had a related patch set uploaded (by Gerrit Patch Uploader):
Always load style module 'mediawiki.page.patrol' on ChangesList

https://gerrit.wikimedia.org/r/304335

matmarex added a subscriber: matmarex.

When I look at 'mediawiki.page.patrol' more closely now than when I merged that change, it really seems to have three entirely unrelated things in it (styling for the red "!", styling for Special:NewPages, styling for the "[Mark as patrolled]" link). These usually are not used together on a single page. I think we should just revert that change.

Change 304411 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol"

https://gerrit.wikimedia.org/r/304411

Change 304412 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol"

https://gerrit.wikimedia.org/r/304412

Change 304335 abandoned by Bartosz Dziewoński:
Always load style module 'mediawiki.page.patrol' on ChangesList

Reason:
I'm just reverting the change. Thanks for noticing this.

https://gerrit.wikimedia.org/r/304335

Change 304411 merged by jenkins-bot:
Revert "Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol"

https://gerrit.wikimedia.org/r/304411

Change 304412 merged by jenkins-bot:
Revert "Move CSS for patrol from mediawiki.legacy to new module mediawiki.page.patrol"

https://gerrit.wikimedia.org/r/304412

Stashbot added a subscriber: Stashbot.

Mentioned in SAL [2016-08-12T00:15:45Z] <dereckson@tin> Synchronized php-1.28.0-wmf.14/: VE: Fix TextState#getChangeTransaction bug (T141573) ; Echo: Revert "Hack around browser bug in IE breaking badge alignment in Monobook" ([[gerrit:304415]]) ; Core: Revert CSS fix ([[gerrit:304412]], T142750) (duration: 08m 58s)

matmarex closed this task as Resolved.Aug 12 2016, 1:39 AM
matmarex removed a project: Patch-For-Review.